@import "../partials/mixins";
@import "../partials/variables";
@import "../partials/classes";

// fonts class
.wx__text_display_1 {
  @include font__style(
    $font-weight: 400,
    $display: block,
    $font-size: 5rem,
    $line-height: 110%,
    $text-transform: none,
    $letter-spacing: -0.078rem
  );
}

.wx__text_display_2 {
  @include font__style(
    $font-weight: 400,
    $display: block,
    $font-size: 4.5rem,
    $line-height: 110%,
    $letter-spacing: -0.063rem,
    $text-transform: none
  );
}

.wx__text_display_3 {
  @include font__style(
    $font-weight: 400,
    $display: block,
    $font-size: 4rem,
    $line-height: 110%,
    $letter-spacing: -0.063rem,
    $text-transform: none
  );
}

// font weight
.wx__text_regular {
  font-weight: 400 !important;
}

.wx__text_medium {
  font-weight: 500 !important;
}

.wx__text_strong {
  font-weight: 600 !important;
}

.wx__text_semibold {
  font-weight: 600 !important;
}

// text decoration
.wx__text_underline {
  text-decoration: underline !important;
}

.wx__text_strikethrough {
  text-decoration: line-through !important;
}

// font-style
.wx__text_italic {
  font-style: italic !important;
}

.wx__text_h1 {
  @include font__style(
    $display: block,
    $font-size: 2.5rem,
    $line-height: 125%,
    $letter-spacing: -0.047rem
  );
}

.wx__text_h2 {
  @include font__style(
    $display: block,
    $font-size: 2rem,
    $line-height: 120%,
    $letter-spacing: -0.016rem
  );
}

.wx__text_h3 {
  @include font__style(
    $display: block,
    $font-size: 1.75rem,
    $line-height: 120%,
    $letter-spacing: -0.016rem
  );
}

.wx__text_h3 {
  @include font__style(
    $display: block,
    $font-size: 1.75rem,
    $line-height: 120%,
    $letter-spacing: -0.016rem
  );
}

.wx__text_h4 {
  @include font__style(
    $display: block,
    $font-size: 1.5rem,
    $line-height: 130%,
    $letter-spacing: -0.016rem
  );
}

.wx__text_h4 {
  @include font__style(
    $display: block,
    $font-size: 1.5rem,
    $line-height: 130%,
    $letter-spacing: -0.016rem
  );
}

.wx__text_h5 {
  @include font__style(
    $display: block,
    $font-size: 1.25rem,
    $line-height: 130%,
    $letter-spacing: -0.016rem
  );
}

.wx__text_h6 {
  @include font__style(
    $display: block,
    $font-size: 1rem,
    $line-height: 140%,
    $letter-spacing: -0.031rem
  );
}

.wx__text_h6 {
  @include font__style(
    $display: block,
    $font-size: 1rem,
    $line-height: 140%,
    $letter-spacing: -0.031rem
  );
}

.wx__text_h6 {
  @include font__style(
    $display: block,
    $font-size: 1rem,
    $line-height: 140%,
    $letter-spacing: -0.031rem
  );
}

.wx__text_subtitle {
  @include font__style(
    $font-size: 0.813rem,
    $line-height: 140%,
    $letter-spacing: -0.01rem
  );
}

.wx__text_body {
  @include font__style(
    $font-size: 0.875rem,
    $line-height: 140%,
    $letter-spacing: -0.01rem
  );
}

// .wx__body_regular {
//   @include font__style(
//     $font-size: 0.875rem,
//     $line-height: 140%,
//     $letter-spacing: -0.01rem
//   );
// }

// .wx__text_body; @extend .wx__text_medium; {
//   @include font__style(
//     $font-weight: 500,
//     $font-size: 0.875rem,
//     $line-height: 140%,
//     $letter-spacing: -0.01rem
//   );
// }

// .wx__text_body; @extend .wx__text_strong; {
//   @include font__style(
//     $font-weight: 600,
//     $font-size: 0.875rem,
//     $line-height: 140%,
//     $letter-spacing: -0.01rem
//   );
// }

// .wx__body_underline {
//   @include font__style(
//     $font-size: 0.875rem,
//     $line-height: 140%,
//     $letter-spacing: -0.01rem
//   );
//   text-decoration: underline;
// }

// .wx__body_strikethrough {
//   @include font__style(
//     $font-size: 0.875rem,
//     $line-height: 140%,
//     $letter-spacing: -0.01rem
//   );
//   text-decoration: line-through;
// }

// .wx__body_italic {
//   @include font__style(
//     $font-size: 0.875rem,
//     $line-height: 140%,
//     $letter-spacing: -0.009rem
//   );
//   font-style: italic;
// }

.wx__text_body_code {
  @include font__style(
    $font-family: $secondary__font__family,
    $font-size: 0.875rem,
    $line-height: 150%,
    $letter-spacing: -0.047rem
  );
}

.wx__footnote_desc {
  @include font__style(
    $font-size: 0.75rem,
    $line-height: 140%,
    $letter-spacing: -0.01rem
  );
}

.wx__text_small {
  @include font__style($font-size: 0.75rem, $line-height: 120%);
}

// .wx__text_small {
//   @include font__style($font-size: 0.75rem, $line-height: 120%);
// }

.wx__text_caption {
  @include font__style(
    $font-size: 0.75rem,
    $line-height: 140%,
    $text-transform: uppercase
  );
}

.wx__text_btn_big {
  @include font__style(
    $font-size: 1rem,
    $line-height: 150%,
    $letter-spacing: 0.016rem,
    $text-transform: capitalize
  );
}

.wx__text_btn_regular {
  @include font__style(
    $font-size: 0.875rem,
    $line-height: 150%,
    $letter-spacing: 0.015rem,
    $text-transform: capitalize
  );
}

.wx__text_btn_small {
  @include font__style(
    $font-size: 0.813rem,
    $line-height: 140%,
    $letter-spacing: 0.013rem,
    $text-transform: capitalize
  );
}
